### Struct

# FwupdPlugin StructIfwiCpd

#### Description

    struct FuStructIfwiCpd {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_ifwi_cpd_new

No description available.

###### fu_struct_ifwi_cpd_parse_stream

No description available.

###### fu_struct_ifwi_cpd_validate_stream

No description available.

#### Instance methods

###### fu_struct_ifwi_cpd_get_checksum

No description available.

###### fu_struct_ifwi_cpd_get_crc32

No description available.

###### fu_struct_ifwi_cpd_get_entry_version

No description available.

###### fu_struct_ifwi_cpd_get_header_length

No description available.

###### fu_struct_ifwi_cpd_get_header_version

No description available.

###### fu_struct_ifwi_cpd_get_num_of_entries

No description available.

###### fu_struct_ifwi_cpd_get_partition_name

No description available.

###### fu_struct_ifwi_cpd_ref

No description available.

###### fu_struct_ifwi_cpd_set_checksum

No description available.

###### fu_struct_ifwi_cpd_set_crc32

No description available.

###### fu_struct_ifwi_cpd_set_entry_version

No description available.

###### fu_struct_ifwi_cpd_set_header_length

No description available.

###### fu_struct_ifwi_cpd_set_header_version

No description available.

###### fu_struct_ifwi_cpd_set_num_of_entries

No description available.

###### fu_struct_ifwi_cpd_set_partition_name

No description available.

###### fu_struct_ifwi_cpd_unref

No description available.